classification
Title: IDLE tests must be able to set user configuration values.
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2016-07-01 19:19 by terry.reedy, last changed 2019-03-21 18:17 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
set_user_cfg.diff terry.reedy, 2016-07-04 04:17 review
Messages (6)
msg269685 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-07-01 19:19
An important feature of IDLE is that it has default configuration values in idlelib/config-xyz.def files that can be overriden by user values in $HOME/.idlerc/config-xyz.cfg files. IDLE should run and tests should pass both without and with user overrides. IDLE's config module currently hard-codes the file names.  However, configparser can read from files it opens from a filename (.read), iterables of strings (.read_file), strings (.read_string), and dictionaries (.read_dict). This issue is about exposing this flexibility to IDLE tests and being able to clear and reset the user values for each test.
msg269687 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-07-01 19:23
Being able to force a rereading of user files from the menu could also be useful for manual testing or after a user fixes a problem.
msg269688 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-07-01 19:30
I don't believe that buildbots have an accessible $HOME that can be written to.  In any case, tests of writing user config files should use StringIOs.
msg269776 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-07-04 03:32
Message for #27380 deleted and copied there.
msg269778 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-07-04 04:17
I believe this is enough to test the new Unix keys patch #27173.  Will backport the test file and StringIO import and the additions to IdleUserConfParser in config to support backporting tests for 27173.
msg269811 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-07-04 22:06
After moving the config cleanup part of the patch to #27452 and doing further experiments with methods inherited from configparser.ConfigParser, in all 3 versions, I decided that nothing new needs to be added to config.py.  I will instead use the prototype test_config.py files developed for this issue for #27173.
History
Date User Action Args
2019-03-21 18:17:37terry.reedysetcomponents: + IDLE
2016-07-04 22:06:13terry.reedysetstatus: open -> closed
resolution: rejected
messages: + msg269811

stage: commit review -> resolved
2016-07-04 04:17:30terry.reedysetfiles: + set_user_cfg.diff
versions: + Python 2.7, Python 3.5
messages: + msg269778

keywords: + patch
stage: needs patch -> commit review
2016-07-04 03:32:42terry.reedysetmessages: + msg269776
2016-07-04 03:31:19terry.reedysetmessages: - msg269775
2016-07-03 23:11:33python-devsetnosy: + python-dev
messages: + msg269775
2016-07-01 19:43:09terry.reedylinkissue27173 dependencies
2016-07-01 19:30:43terry.reedysetmessages: + msg269688
2016-07-01 19:23:31terry.reedysetmessages: + msg269687
2016-07-01 19:19:32terry.reedycreate